Debian Bug report logs - #242865
xfree86: object code without source violates the DFSG

version graph

Package: xfree86; Maintainer for xfree86 is (unknown);

Reported by: Marco d'Itri <md@Linux.IT>

Date: Fri, 9 Apr 2004 12:18:22 UTC

Severity: serious

Tags: upstream

Fixed in version xfree86/4.3.0.dfsg.1-1

Done: Fabio Massimo Di Nitto <fabbione@fabbione.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: drivers containing firmware blobs
Date: Fri, 9 Apr 2004 12:38:28 +0200
Package: xfree86
Severity: serious
Tags: sarge, sid

The following files contain binary firmwares, and distributing them
appears to be a DFSG violation. (See #239952)

./programs/Xserver/hw/xfree86/drivers/mga/mga_ucode.h
 * GLX Hardware Device Driver for Matrox G200/G400

./programs/Xserver/hw/xfree86/drivers/rendition/v10002d.uc
./programs/Xserver/hw/xfree86/drivers/rendition/v20002d.uc

/* r128_cce.c -- ATI Rage 128 driver -*- linux-c -*-
./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_cce.c

/* radeon_cp.c -- CP support for Radeon -*- linux-c -*-
./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cp.c

-- 
ciao, |
Marco | [5630 undDtc1Vyz7Sw]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 242865@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Marco d'Itri <md@Linux.IT>, 242865@bugs.debian.org
Subject: Re: Bug#242865: drivers containing firmware blobs
Date: Fri, 09 Apr 2004 16:25:52 +0200
On Fri, 2004-04-09 at 12:38, Marco d'Itri wrote:
> 
> /* r128_cce.c -- ATI Rage 128 driver -*- linux-c -*-
> ./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_cce.c
> 
> /* radeon_cp.c -- CP support for Radeon -*- linux-c -*-
> ./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cp.c

While I think this is ridiculous (it's about definitions required to get
the hardware working, just like register definitions), these files
aren't used in the Debian xfree86 build and can be removed, if that
makes someone feel better.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 242865@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: Michel Dänzer <daenzer@debian.org>
Cc: 242865@bugs.debian.org
Subject: Re: Bug#242865: drivers containing firmware blobs
Date: Fri, 9 Apr 2004 16:28:33 +0200
On Apr 09, Michel Dänzer <daenzer@debian.org> wrote:

> On Fri, 2004-04-09 at 12:38, Marco d'Itri wrote:
> > 
> > /* r128_cce.c -- ATI Rage 128 driver -*- linux-c -*-
> > ./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_cce.c
> > 
> > /* radeon_cp.c -- CP support for Radeon -*- linux-c -*-
> > ./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cp.c
> 
> While I think this is ridiculous (it's about definitions required to get
> the hardware working, just like register definitions), these files
> aren't used in the Debian xfree86 build and can be removed, if that
> makes someone feel better.
I agree it's ridiculous, but other people disagree and are forcing out
of debian all drivers containing firmwares. If tg3 is unacceptable for
us then these drivers should be removed from the distribution as well.

-- 
ciao, |
Marco | [5637 prSw1R04tOvS.]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 242865@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 242865@bugs.debian.org
Subject: Rendition microcode also no loss.
Date: Sat, 10 Apr 2004 04:57:22 -0400
>./programs/Xserver/hw/xfree86/drivers/rendition/v10002d.uc
>./programs/Xserver/hw/xfree86/drivers/rendition/v20002d.uc

It appears that this driver can work in non-accelerated mode without the 
firmware.  Furthermore, it appears that in the default configuration, which 
is used in Debian, it *is* in non-accelerated mode and *doesn't* use the 
firmware.  (See the USE_ACCEL define in rendition/rendition.c.)

So, much like the two which Michael Daenzer mentioned, these are unused, and 
therefore no loss at all.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 242865@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 242865@bugs.debian.org
Subject: mga_ucode.h
Date: Sat, 10 Apr 2004 05:05:04 -0400
>./programs/Xserver/hw/xfree86/drivers/mga/mga_ucode.h
> * GLX Hardware Device Driver for Matrox G200/G400

This version appears to be unused (not referenced anywhere), and hence no 
loss.

The 'used' version is:
./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/mga_ucode.h
Which of course would need to be removed as well.

Although Michael Daenzer may wish to comment -- is that file even used in 
Debian's configuration, given that these other two in the same directory 
aren't?
>./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_cce.c
>./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cp.c



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 242865@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Nathanael Nerode <neroden@twcny.rr.com>, 242865@bugs.debian.org
Subject: Re: Bug#242865: mga_ucode.h
Date: Sat, 10 Apr 2004 11:53:20 +0200
On Sat, 2004-04-10 at 11:05, Nathanael Nerode wrote:
> >./programs/Xserver/hw/xfree86/drivers/mga/mga_ucode.h
> > * GLX Hardware Device Driver for Matrox G200/G400
> 
> This version appears to be unused (not referenced anywhere), and hence no 
> loss.
> 
> The 'used' version is:
> ./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/mga_ucode.h
> Which of course would need to be removed as well.
> 
> Although Michael Daenzer may wish to comment -- is that file even used in 
           ^^^^^^^
Ahem.

> Debian's configuration, given that these other two in the same directory 
> aren't?
> >./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_cce.c
> >./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cp.c

No, the DRM code in the xfree86 source package isn't used. Of course,
the DRM code _is_ used in the kernels, and apparently similar bugs are
being filed against them. I wonder if users will like the DRI not
working out of the box... I think the people behind this should be
forced to hack graphics chip command processor microcode 'source code'.
;)


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniels@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 242865@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniels@debian.org>
To: Marco d'Itri <md@Linux.IT>, 242865@bugs.debian.org
Subject: Re: Bug#242865: drivers containing firmware blobs
Date: Tue, 13 Apr 2004 22:01:11 +1000
[Message part 1 (text/plain, inline)]
package xfree86
retitle 242865 [drivers] firmware needs to be in a separate file
thanks mate

On Fri, Apr 09, 2004 at 12:38:28PM +0200, Marco d'Itri wrote:
> Package: xfree86
> Severity: serious
> Tags: sarge, sid
> 
> The following files contain binary firmwares, and distributing them
> appears to be a DFSG violation. (See #239952)
> 
> ./programs/Xserver/hw/xfree86/drivers/mga/mga_ucode.h
>  * GLX Hardware Device Driver for Matrox G200/G400
> 
> ./programs/Xserver/hw/xfree86/drivers/rendition/v10002d.uc
> ./programs/Xserver/hw/xfree86/drivers/rendition/v20002d.uc
> 
> /* r128_cce.c -- ATI Rage 128 driver -*- linux-c -*-
> ./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_cce.c
> 
> /* radeon_cp.c -- CP support for Radeon -*- linux-c -*-
> ./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cp.c

21:57 < aj> daniels: to repeat: the proper solution is to get the
firmware out of the source code, into a separate file that's used at
runtime not compile time

This is a showstopper: these microcode chunks need to be broken out into
separate files (if not removed altogether), ASAP. You can't distribute
binaries under the GPL, but we have been given permission to distribute
them with sarge.

:) d

-- 
Daniel Stone                                                <daniels@debian.org>
Debian: the universal operating system                     http://www.debian.org
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Daniel Stone <daniels@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: sarge, sid Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Marco d'Itri <md@Linux.IT>:
Bug#242865. Full text and rfc822 format available.

Message #44 received at 242865-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 242865-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#242865: drivers containing firmware blobs
Date: Tue, 13 Apr 2004 15:10:22 -0500
[Message part 1 (text/plain, inline)]
# remove spurious use of release tags -- some of these are in XFree86
# 4.1.0 (woody) as well
tag 242865 - sarge sid
# not specific to Debian packaging; license info needed
tag 242865 + moreinfo
thanks

On Fri, Apr 09, 2004 at 12:38:28PM +0200, Marco d'Itri wrote:
> Package: xfree86
> Severity: serious
> Tags: sarge, sid
> 
> The following files contain binary firmwares, and distributing them
> appears to be a DFSG violation. (See #239952)
> 
> ./programs/Xserver/hw/xfree86/drivers/mga/mga_ucode.h
>  * GLX Hardware Device Driver for Matrox G200/G400
> 
> ./programs/Xserver/hw/xfree86/drivers/rendition/v10002d.uc
> ./programs/Xserver/hw/xfree86/drivers/rendition/v20002d.uc
> 
> /* r128_cce.c -- ATI Rage 128 driver -*- linux-c -*-
> ./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_cce.c
> 
> /* radeon_cp.c -- CP support for Radeon -*- linux-c -*-
> ./programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cp.c

Please paste the licensing info (if any) from each of these files and
specifically explain why they fail the DFSG.

Cross-reference to another bug report that talks about unrelated code in
an unrelated package is not useful.  This bug report must justify its
release-criticality (and its existence, for that matter) on its own merits.

Thanks!

-- 
G. Branden Robinson                |     Never attribute to malice that
Debian GNU/Linux                   |     which can be adequately explained
branden@debian.org                 |     by stupidity.
http://people.debian.org/~branden/ |     -- Hanlon's Razor
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 242865@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 242865@bugs.debian.org
Subject: Re: Bug#242865: Rendition microcode also no loss.
Date: Tue, 13 Apr 2004 15:17:36 -0500
[Message part 1 (text/plain, inline)]
On Sat, Apr 10, 2004 at 04:57:22AM -0400, Nathanael Nerode wrote:
> >./programs/Xserver/hw/xfree86/drivers/rendition/v10002d.uc
> >./programs/Xserver/hw/xfree86/drivers/rendition/v20002d.uc
> 
> It appears that this driver can work in non-accelerated mode without the 
> firmware.  Furthermore, it appears that in the default configuration, which 
> is used in Debian, it *is* in non-accelerated mode and *doesn't* use the 
> firmware.  (See the USE_ACCEL define in rendition/rendition.c.)
> 
> So, much like the two which Michael Daenzer mentioned, these are unused, and 
> therefore no loss at all.

What a terrible disappointment this must be for those who think they're
proving something.  :)

(Personally, I'm happy to see light being shed on these issues, even if
it doesn't reveal what some folks expect.  :) )

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |         Ab abusu ad usum non valet
branden@debian.org                 |         consequentia.
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 242865@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: 242865@bugs.debian.org
Subject: Re: Bug#242865: drivers containing firmware blobs
Date: Wed, 14 Apr 2004 10:34:54 +0200
[Message part 1 (text/plain, inline)]
On Apr 13, Branden Robinson <branden@debian.org> wrote:

> Please paste the licensing info (if any) from each of these files and
> specifically explain why they fail the DFSG.
These files contain executable code, but there is no source for them.
Anyway, the release manager will probably tag this bug sarge-ignore.

-- 
ciao, |
Marco | [5731 su88Vpthb2Z1c]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 242865@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 242865@bugs.debian.org
Subject: The "moreinfo" for these drivers/binary executables
Date: Fri, 16 Apr 2004 19:24:16 -0400
This is the list of files known to be affected by this bug:

xc/programs/Xserver/hw/xfree86/drivers/mga/mga_ucodexch
xc/programs/Xserver/hw/xfree86/drivers/rendition/v10002dxcuc
xc/programs/Xserver/hw/xfree86/drivers/rendition/v20002dxcuc
xc/programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_ccexcc
xc/programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cpxcc
xc/programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/mga_ucode.h

These files all contain binary executables (to run on graphics card chips) 
with no source code at all.  Therefore they fail the DFSG's requirements.

Luckily, none of these files are actually *used* in Debian's XFree86 build, so 
removing them from the .tar.gz of Debian's XFree86 source should be an easy 
and trivial solution to this bug for sarge.

(Different copies of the same binaries are present and used in the kernel 
packages, but those are being addressed elsewhere.)

I don't think, therefore, that this bug needs to be tagged "moreinfo" any 
longer...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#242865; Package xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 242865@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 242865@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#242865: The "moreinfo" for these drivers/binary executables
Date: Sun, 18 Apr 2004 18:44:13 -0500
[Message part 1 (text/plain, inline)]
tag 242865 - moreinfo
thanks

On Fri, Apr 16, 2004 at 07:24:16PM -0400, Nathanael Nerode wrote:
> This is the list of files known to be affected by this bug:
> 
> xc/programs/Xserver/hw/xfree86/drivers/mga/mga_ucodexch
> xc/programs/Xserver/hw/xfree86/drivers/rendition/v10002dxcuc
> xc/programs/Xserver/hw/xfree86/drivers/rendition/v20002dxcuc
> xc/programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_ccexcc
> xc/programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cpxcc
> xc/programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/mga_ucode.h

I think you mean:

xc/programs/Xserver/hw/xfree86/drivers/mga/mga_ucode.h
xc/programs/Xserver/hw/xfree86/drivers/rendition/v10002d.uc
xc/programs/Xserver/hw/xfree86/drivers/rendition/v20002d.uc
xc/programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/r128_cce.c
xc/programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/radeon_cp.c
xc/programs/Xserver/hw/xfree86/os-support/shared/drm/kernel/mga_ucode.h

(global search and replace gone wrong?)

> These files all contain binary executables (to run on graphics card chips) 
> with no source code at all.  Therefore they fail the DFSG's requirements.
> 
> Luckily, none of these files are actually *used* in Debian's XFree86 build, so 
> removing them from the .tar.gz of Debian's XFree86 source should be an easy 
> and trivial solution to this bug for sarge.
> 
> (Different copies of the same binaries are present and used in the kernel 
> packages, but those are being addressed elsewhere.)
> 
> I don't think, therefore, that this bug needs to be tagged "moreinfo" any 
> longer...

Agreed.  Thanks!

-- 
G. Branden Robinson                |    Somebody once asked me if I thought
Debian GNU/Linux                   |    sex was dirty.  I said, "It is if
branden@debian.org                 |    you're doing it right."
http://people.debian.org/~branden/ |    -- Woody Allen
[signature.asc (application/pgp-signature, inline)]

Tags removed: moreinfo Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from fabbione@fabbione.net (Fabio M. Di Nitto) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Fabio Massimo Di Nitto <fabbione@fabbione.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marco d'Itri <md@Linux.IT>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #81 received at 242865-done@bugs.debian.org (full text, mbox):

From: Fabio Massimo Di Nitto <fabbione@fabbione.net>
To: 207543-done@bugs.debian.org, 216806-done@bugs.debian.org, 219311-done@bugs.debian.org, 222804-done@bugs.debian.org, 224909-done@bugs.debian.org, 231589-done@bugs.debian.org, 233818-done@bugs.debian.org, 233933-done@bugs.debian.org, 234081-done@bugs.debian.org, 234575-done@bugs.debian.org, 236604-done@bugs.debian.org, 237046-done@bugs.debian.org, 238276-done@bugs.debian.org, 238340-done@bugs.debian.org, 238407-done@bugs.debian.org, 238555-done@bugs.debian.org, 238638-done@bugs.debian.org, 238797-done@bugs.debian.org, 239341-done@bugs.debian.org, 239988-done@bugs.debian.org, 239991-done@bugs.debian.org, 241127-done@bugs.debian.org, 241286-done@bugs.debian.org, 241331-done@bugs.debian.org, 241539-done@bugs.debian.org, 242209-done@bugs.debian.org, 242830-done@bugs.debian.org, 242865-done@bugs.debian.org, 242987-done@bugs.debian.org, 243000-done@bugs.debian.org, 243575-done@bugs.debian.org
Subject: Closing bugs after 4.3.0.dfsg.1-1 upload
Date: Wed, 28 Apr 2004 22:39:05 +0200 (CEST)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Due to an unfortunate error the upload has been registered as NMU.

Full changelog here:

Format: 1.7
Date: Wed, 28 Apr 2004 18:55:17 +0200
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 xprt libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source i386 all
Version: 4.3.0.dfsg.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Fabio M. Di Nitto <fabbione@fabbione.net>
Description:
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries pseudopackage
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries pseudopackage
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries pseudopackage
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Window System client libraries metapackage and XKB data
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries pseudopackage
 xlibs-dev  - X Window System client library development files pseudopackage
 xlibs-pic  - XFree86 static PIC libraries pseudopackage
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server (XFree86 version)
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 207543 216806 219311 222804 224909 231589 233818 233933 234081 234575 236604 237046 238276 238340 238407 238555 238638 238797 239341 239988 239991 241127 241286 241331 241539 242209 242830 242865 242987 243000 243575
Changes:
 xfree86 (4.3.0.dfsg.1-1) unstable; urgency=low
 .
   Changes by Branden Robinson and Fabio Massimo di Nitto:
 .
   * Re-generate .orig tar archive to eliminate files containing object code
     with no corresponding source (none of which are actually needed or used by
     XFree86 at run time).  Add these files to the prune-non-free script.
     Update patch #025 to stop patching one of the affected files and add patch
     #913 to remove all references to the affected files inside the code
     required to build.  Update MANIFEST and xserver-xfree86.install files for
     alpha, hurd-i386, i386, ia64 and sparc accordingly. Thanks to Nathanael
     Nerode for his assistance with this issue.  (Closes: #242865)
 .
   * Fix SEGV when attempting to use GLX extension on SPARC due to failure of
     extension to initialize a Mesa context; patch by Ferris McCormick,
     backported from XFree86 CVS 2003-12-08 by Christian Guggenberger,
     and updated to build on non-SPARC architectures by Fabio M. Di Nitto.
     (Closes: #241331)
 .
   Changes by Fabio Massimo di Nitto:
 .
   * Quote menu items in Debian menu files (quiets Lintian warning).
 .
   Changes by Branden Robinson:
 .
   * The tar achive within the .orig tar archive (stored this way due to the
     requirements of dbs) has been re-packed using gzip instead of bzip2.  This
     increases the size of the .orig tar archive by 10MB (a 21% increase), but
     speeds unpacking of the stored tar achive from 2m49s to 39s on a 400MHz
     PowerPC 750 (G3) processor with 512MB of RAM.
 .
   * Add FAQ entry about the <LSGT> key problem.  Edit news item about the
     <LSGT> problem to tidy up the wording a little and direct people to the
     FAQ for more information.
 .
   * Make xev flush standard output after processing each event, since its
     exit(0) is unreachable code (thanks, Bill Currie).  (Closes: #238638)
 .
   * Fix compilation of a.out object loader on uClibc (and possibly other
     non-GNU-libc systems) in XFree86 X server by including correct header file
     for ntohl() prototype (thanks, Erik Andersen).  (Closes: #216806)
 .
   * Restore original xdm behavior of interpreting an XDMCP request port of
     zero (the default) as an instruction not to open a port at all.
     Equivalent code was apparently accidentally deleted in upstream CVS
     (thanks, Jeff King).  (Closes: #239341)
 .
   * Fix cosmetic formatting error in dexconf manpage.
 .
   * Improve logging of xdm's script handling in session.c.
     + Make execution of the session program an informational log message (with
       LogInfo()), not a Debug() message.
     + Ensure that source()d scripts (Xreset, Xsetup, Xstartup) can be
       fopen()ed before invoking runAndWait() on them.  If they can, LogInfo()
       the fact.  If they cannot, LogInfo() that, too, and use _SysErrorMsg()
       to report why fopen() failed.  (Closes: #219311)
     + Make source() complain using Debug() when it is given a null pointer in
       its file argument.
     + For clarity, make source() return from only one location.
 .
   * Clean up debian/rules's "not building" logic.
     + Rename NOT_BUILDING_XF86_SERVER to NOT_BUILDING_XFREE86_X_SERVER.
     + Use NOT_BUILDING_XFREE86_X_SERVER, not NOT_BUILDING_X_SERVER, to control
       whether build-tree/xc-xserver-xfree86-dbg is populated and built.  This
       should speed up builds on the s390 architecture.
     + Drop now-unused NOT_BUILDING_X_SERVER variable entirely.
 .
   * Stop shipping the generated files encodings.dir, fonts.cache-1, fonts.dir,
     and fonts.scale in the xfonts-scalable package.  (Closes: #238555)
 .
   * If defoma-app and fontconfig's defoma script are available, invoke
     "defoma-app update fontconfig" on package configuration and removal;
     otherwise, use fc-cache as before.  (Closes: #238797)
 .
   * Stop setting the debconf-configured default amount of video RAM to 8MB for
     users of the i810 driver; in XFree86 4.3.0, the i810 driver defaults to
     8MB internally, and the i830 driver defaults to 32MB if DRI is enabled,
     and 8MB otherwise.  (Closes: #238340)
 .
   * If using Discover 1.x to scan for hardware in the XFree86 X server
     packages' config scripts, pass the discover command the
     "--disable=serial,parallel" option to avoid long delays on some systems.
     We're certain to not find a VGA device on those buses anyway.  Also,
     discard standard error output from discover 1.x.  (Closes: #237046)
 .
   * If using Discover 2.x to scan for hardware in the XFree86 X server
     packages' config scripts, invoke the discover command such that an
     abnormal exit on its part does not crash the script.
 .
   * Grab fixes to the X server's DIX events processing from XFree86 CVS
     (none later than 2004-01-23).
     + Fix a potential hang in Xinerama caused by an uninitialized
       sprite.hotShape. [Mark Vojkovich]
     + Build fix for when XKB is disabled but XINPUT isn't.  Reported by Paul
       Jarc. [Marc Aurele La France]
     + Fix a crash when xkb is disabled. [Matthieu Herrb] (Closes: #238407)
 .
   * Apply patch by Emmanuel Thomé and Ole Rohne to enable resume from suspend
     level S3 on Dell D600 and D800 laptops; when the VT is re-entered, the
     Radeon chipset's memory size is queried, and if zero is returned, the
     chipset is re-POSTed via the int10 interface.  (Closes: #234575)
 .
   * Implement IsolateDevice and SingleCard layout options for XF86Config, and
     -isolateDevice command-line flag for XFree86 X server.  Useful for
     multi-card setups where different X servers run on each card (thanks,
     Andreas Schuldei).  (Closes: #207543)
 .
   * Correct the package description of libx11-6-dbg to accurately identify the
     location of Xlib's loadable modules (thanks, Chung-chieh Shan).
     (Closes: #239988)
 .
   * Fix the latin(type3) PC keyboard map to override the AB10 key definition
     inherited from the basic layout, mapping the key to "minus, underscore"
     rather than "slash, question".  This enables the al (Albanian), hr
     (Croatian), pl2 (Polish QWERTZ), si (Slovenian), and yu (Yugoslavian)
     layouts to inherit this key mapping (though al overrides it).  Thanks to
     Josip Rodin for reporting this bug and testing the fix.  (Closes: #236604)
 .
   * Update libxmuu-dev's package description to explain why it does not ship
     header files.
 .
   * German keyboards using the "nodeadkeys" variant should produce an
     apostrophe, not an acute accent, when <AE12> is pressed.  This change is
     also consistent with the existing xc/programs/xkbcomp/symbols/de file
     (thanks, Andreas Metzler).  (Closes: #241127)
 .
   * Demote x-window-system-dev's priority to "extra" since it depends on
     library -dbg packages, which are themselves of extra priority (see Debian
     Policy section 2.5).
 .
   * Add Fabio Massimo Di Nitto to list of package uploaders.
 .
   * Fix update-fonts-scale to not attempt to manipulate temporary files that
     do not exist.  (Closes: #243000)
 .
   * Enhance update-fonts-scale in several small ways:
     + Improve comments.
     + Update copyright notice.
     + On startup, query the terminal with stty if $COLUMNS is not set.
     + Send all diagnostic messages to standard error output in message()
       function.
     + Add observe() function for debugging diagnostics.
     + Rename error() to die() and update invocations of it accordingly.
     + Quote shell variables more religiously when expanding them.
     + Use consistent syntax style.
     + Update Vim modeline.
 .
   * Improve update-fonts-scale(8) manual page:
     + Update copyright notice.
     + Fix minor wording issues.
     + Add "ENVIRONMENT" section documenting effects of $COLUMNS and $DEBUG.
     + Add a preface to the "DIAGNOSTICS" section.
     + Document the new "index references nonexistent font file" diagnostic.
 .
   * Update xdm.options(5) and xfs.options(5) manual pages to instruct the user
     to use the invoke-rc.d command instead of invoking packages' init scripts
     directly.
 .
   * Improve xfs package's maintainer scripts:
     + Always start the daemon on package install (as opposed to upgrade).
       (Closes: #241539)
     + Replace xfs "upgrade" flag file with two distinct ones, "install" and
       "daemon-not-stopped".  Create install flag file when preinst script is
       invoked with "install" argument; remove in postinst, and in postrm when
       invoked with "abort-install" or "abort-upgrade" argument.  Create
       "daemon-not-stopped" flag file in prerm script if the daemon is not
       stopped with invoke-rc.d; remove in postinst, and in postrm when invoked
       with "abort-upgrade" argument.
     + Duplicate the postinst's daemon logic in the postrm when invoked with
       the "abort-upgrade" argument; this way the daemon is restarted if it was
       stopped for upgrade, but the upgrade failed.
     + Pass package name literally to update-rc.d and invoke-rc.d; quiets
       lintian warning.
     + Call db_stop before update-rc.d; if the latter spews to stdout, it can
       confuse debconf.
     + Use shell's && and || operators instead of test(1)'s -a and -o
       operators, since the former is POSIX-compliant and the latter is not.
 .
   * Disable RandR extension support in siliconmotion driver when the driver's
     "Rotate" option is used (thanks, Jim Paris).  (Closes: #241286)
 .
   * Implement XkbOption "grp:sclk_toggle" (pressing Scroll Lock toggles the
     key group), courtesy of Michal Kaspar.  (Closes: #242209)
 .
   * Provide instructions on how to read the FAQ in every README.Debian file.
 .
   * Add dependency of libxtst-dev on libxi-dev; XTest.h #includes XInput.h for
     a structure definition, though objects that link against libXtst don't
     necessarily link against libXi (thanks, Glenn Maynard).  (Closes: #242830)
 .
   * Update list of available video drivers on each architecture in
     xserver-xfree86's config script.
 .
   * Migrate users of the GPM repeater (/dev/gpmdata) to the IntelliMouse
     protocol and make this the only protocol supported in debconf for that
     mouse port.  Document and justify migration in NEWS file.
     (Closes: #233933)
 .
   * Tidy up relationships with now-vanished xlib6g and xlib6g-dev packages.
     This enables people to keep the versions of these packages that were
     harmless pseudopackages on the system.
     + Version xfree86-common's and xutils's replacement of xlib6g-dev at <<
       4.0 (xlib6g-dev shipped no files after that).
     + Version xlibs's conflict with and replacement of xlib6g and xlib6g-dev
       at << 4.0.  (Closes: #233818)
     + Version xlibs-static-dev's conflict with and replacement of xlib6g-dev
       at << 4.0.
 .
   * Re-order diagnostic output of xserver-xfree86 bug script to be skimmable
     more quickly (in Branden's opinion, anyway).
 .
   * Fix dexconf to not write an empty line to the end of generated
     XF86Config{,-4} files.
 .
   * Rename shell-lib.sh's safe_debconf() function to run(); there's no reason
     to imply it's useful only for debconf commands.  Update all script
     invocations of safe_debconf() to run().
 .
   * Source the debconf confmodule *before* setting variables local to
     maintainer scripts; the way confmodule works causes the values of any
     unexported variables already set to be lost (continuation of incomplete or
     regressed fix from 4.2.1-10).
 .
   * Fix up xfree86-common postinst and postrm scripts in minor ways.
     + Pass package name literally to update-rc.d and invoke-rc.d; quiets
       lintian warning.
     + Use shell's && and || operators instead of test(1)'s -a and -o
       operators, since the former is POSIX-compliant and the latter is not.
 .
   * Improve xdm package's maintainer scripts:
     + Add capability to start the daemon on package install, controlled by the
       "start-on-install" flag in /etc/X11/xdm/xdm.options (which defaults
       off).  Update xdm.options(5) manpage to document this option and explain
       why it defaults off.
     + Replace "upgrade" flag file with two distinct ones, "install" and
       "daemon-not-stopped".  Create install flag file when preinst script is
       invoked with "install" argument; remove in postinst, and in postrm when
       invoked with "abort-install" or "abort-upgrade" argument.  Create
       "daemon-not-stopped" flag file in prerm script if the daemon is not
       stopped with invoke-rc.d; remove in postinst, and in postrm when invoked
       with "abort-upgrade" argument.
     + Make the logic deciding whether or not to start the daemon more
       sophisticated.  After determining the user's intentions via the
       xdm.options file, check to see if the daemon is already running, and
       record its pid.  If it isn't, check xdm's Xservers file to see if we
       would be starting an X server on the current display.  If either of
       these is the case, refuse to start the daemon and issue a warning
       message explaining why.
     + Duplicate relevant logic from the postinst script logic in the postrm
       when invoked with the "abort-upgrade" argument; this way the daemon is
       restarted if it was stopped for upgrade, but the upgrade failed.
     + Pass package name literally to update-rc.d and invoke-rc.d; quiets
       lintian warning.
     + Call db_stop before update-rc.d; if the latter spews to stdout, it can
       confuse debconf.
     + Use shell's && and || operators instead of test(1)'s -a and -o
       operators, since the former is POSIX-compliant and the latter is not.
 .
   * Migrate xdm's PAM configuration to the New World Order.  (Closes: #231589)
     + Use @include common-{auth,account,session,password} to load pam_unix.so
       instead of doing so directly.
     + Load pam_nologin.so as a requisite auth module.
     + Load pam_limits.so as a required session module.
     + Make xdm depend on libpam-modules and libpam-runtime (>= 0.76-13.1).
 .
   * Fix problem with DVI displays connected to ATI Radeon 9200 cards not
     initializing properly every other time the X server is started (patch by
     Hui Yu of ATI, from XFree86 Bugzilla #673).  (Closes: #243575)
 .
   * Fix problem with shift key misbehaving when caps lock active on PC
     keyboards using the Dvorak layout: don't define such keyboards as
     four-level (patch by Ivan Pascal, from XFree86 CVS 2003-04-19 via Denis
     Barbier).  (Closes: #242987)
 .
   * Apply backport by David Mosberger of PCI support in XFree86 CVS (no code
     more recent than 2003-10-30) for the ZX1 IA-64 chipset.  (Closes: #238276)
 .
   * Fix typo in sun rules file for XKB: provide separate "type6" and
     "type6_euro" model definitions, instead of defining "type6" twice (thanks,
     Denis Barbier).
 .
   * Rewrite prune-non-free script, and move it to debian/scripts directory.
 .
   * Fix typo in example XKB option in Danish translation of
     xserver-xfree86/config/inputdevice/keyboard/options template (thanks,
     Denis Barbier).
 .
   * Fix _XimProtoCreateIC() to call _XimUnregisterFilter() on errors creating
     the input context.  Prevents a SEGV in the ximcp Xlib module (thanks,
     Chung-chieh Shan).  (Closes: #239991)
 .
   * Add XKB support for Compaq Evo laptop multimedia keys (patch by Egbert
     Eich, from XFree86 CVS 2003-09-08).  (Closes: #222804)
 .
   * Fix the altwin:meta_win and altwin:left_meta_win XKB options to not
     override current definitions of Alt keys or the Mod1 modifier map (thanks,
     Denis Barbier).  (Closes: #234081)
 .
   * Fix AT keyboard rate I/O controls by operating on the actual console file
     descriptor, not on file descriptor zero (thanks, Keith Packard).
     Suppresses warning messages from Linux 2.6.  (Closes: #224909)
Files:
 f9fdb8124e341953fa162d7882fbf255 2659 x11 optional xfree86_4.3.0.dfsg.1-1.dsc
 8e6990288c8f1a1d1e03f7c36d7185ee 59123696 x11 optional xfree86_4.3.0.dfsg.1.orig.tar.gz
 ba19d267008314f16faa252cddaaa36a 2212185 x11 optional xfree86_4.3.0.dfsg.1-1.diff.gz
 8caa6504671cbf84bcae73e0f0913126 214316 x11 optional lbxproxy_4.3.0.dfsg.1-1_i386.deb
 de4e47f1f9603ea511427daba0cf6243 251170 libs optional libdps1_4.3.0.dfsg.1-1_i386.deb
 0aa1f50f7e194a66c157f2a7274819e6 749564 libdevel extra libdps1-dbg_4.3.0.dfsg.1-1_i386.deb
 7d6a94f91a0c446949787eed371b05b3 308704 libdevel optional libdps-dev_4.3.0.dfsg.1-1_i386.deb
 817cc146c16f4bebb995c693ec03aa3d 168536 libs optional libice6_4.3.0.dfsg.1-1_i386.deb
 b13a5ca9d8713e9bdf7c87c17f028eb3 252868 libdevel extra libice6-dbg_4.3.0.dfsg.1-1_i386.deb
 e46c8c14065744482510e4e706c41aaf 171846 libdevel optional libice-dev_4.3.0.dfsg.1-1_i386.deb
 2c20abcc72fd3373d0a4c670eb5fe6cd 146282 libs optional libsm6_4.3.0.dfsg.1-1_i386.deb
 4646a5a34d1a5f5dd6f6b2639b02f2b5 171932 libdevel extra libsm6-dbg_4.3.0.dfsg.1-1_i386.deb
 e36b1a3d9c976a75c00f2fdcba5ec608 143216 libdevel optional libsm-dev_4.3.0.dfsg.1-1_i386.deb
 615ea0708ded122b250d7f9f98a93df7 678764 libs optional libx11-6_4.3.0.dfsg.1-1_i386.deb
 245b5f4cab55d97e420b5dddc7830444 9574188 libdevel extra libx11-6-dbg_4.3.0.dfsg.1-1_i386.deb
 0deeeb3a2b74fe3dd05aafd1c30013cc 1329100 libdevel optional libx11-dev_4.3.0.dfsg.1-1_i386.deb
 d2414ca6af421ee92a5a1e6fd592a70b 250324 libs optional libxaw6_4.3.0.dfsg.1-1_i386.deb
 37656b0cd11b315eed2f2458e7d6395f 856588 libdevel extra libxaw6-dbg_4.3.0.dfsg.1-1_i386.deb
 445f5e00bab1f70789569803b87bdcad 380624 libdevel extra libxaw6-dev_4.3.0.dfsg.1-1_i386.deb
 ca9b1fc69ea99ec83fff1ff0bbb7132e 303454 libs optional libxaw7_4.3.0.dfsg.1-1_i386.deb
 04101cd59b2d6abf87a7cdfba17be957 991802 libdevel extra libxaw7-dbg_4.3.0.dfsg.1-1_i386.deb
 b89c5acbb354c94fc2c636592b1ce167 380516 libdevel optional libxaw7-dev_4.3.0.dfsg.1-1_i386.deb
 e4eeedaaf366bafda7f51890682c1abe 153366 libs optional libxext6_4.3.0.dfsg.1-1_i386.deb
 36d74f382a0f22d39bb08804d40d72d2 474196 libdevel extra libxext6-dbg_4.3.0.dfsg.1-1_i386.deb
 60c404f9870e567b434307e81e6858e4 213370 libdevel optional libxext-dev_4.3.0.dfsg.1-1_i386.deb
 f7b37d3ccee76abf720df5bfce11d2a8 155714 libs optional libxft1_4.3.0.dfsg.1-1_i386.deb
 19412845697bff206a58a385204c98ad 436118 libdevel extra libxft1-dbg_4.3.0.dfsg.1-1_i386.deb
 c789ace8c41744fc63f070479145f4fe 144652 libs optional libxi6_4.3.0.dfsg.1-1_i386.deb
 cad68cee6a9fd3aa0658baf00503299d 1131846 libdevel extra libxi6-dbg_4.3.0.dfsg.1-1_i386.deb
 8163c8cc5e3e26f9df942eb1de3912c6 198054 libdevel optional libxi-dev_4.3.0.dfsg.1-1_i386.deb
 e84b789d2500e3ffb9df87efd7372640 174852 libs optional libxmu6_4.3.0.dfsg.1-1_i386.deb
 be57e50b90a1d17a17803744fe439ef3 626636 libdevel extra libxmu6-dbg_4.3.0.dfsg.1-1_i386.deb
 4a2fa5edbc99907246f799baa2b7b870 184812 libdevel optional libxmu-dev_4.3.0.dfsg.1-1_i386.deb
 be990ff8f6607c976fa6476a7ed74c83 136678 libs optional libxmuu1_4.3.0.dfsg.1-1_i386.deb
 8f432636f3cc81a2057092106b7cc42d 175028 libdevel extra libxmuu1-dbg_4.3.0.dfsg.1-1_i386.deb
 0e0457844a23d26e565d4b76bba89b5e 129546 libdevel optional libxmuu-dev_4.3.0.dfsg.1-1_i386.deb
 bbd6017c1802c5e11de71409e5dd3d43 143798 libs optional libxp6_4.3.0.dfsg.1-1_i386.deb
 b408c5afef59dba84f4cc4b09fcddb75 531734 libdevel extra libxp6-dbg_4.3.0.dfsg.1-1_i386.deb
 255b9c318e10923a196a957aa1f3ac93 145526 libdevel optional libxp-dev_4.3.0.dfsg.1-1_i386.deb
 4489861f03b478ecb2f6384a759be808 159498 libs optional libxpm4_4.3.0.dfsg.1-1_i386.deb
 a3b60ab44679b17f77e480255ec11f9e 204872 libdevel extra libxpm4-dbg_4.3.0.dfsg.1-1_i386.deb
 e9b0ecc31456c2235e340096069b743b 158574 libdevel optional libxpm-dev_4.3.0.dfsg.1-1_i386.deb
 17f537c58bf80e4d38de156419cb996a 136452 libs optional libxrandr2_4.3.0.dfsg.1-1_i386.deb
 09c6e8ae9288caefa10f66b0d09339fc 167012 libdevel extra libxrandr2-dbg_4.3.0.dfsg.1-1_i386.deb
 2d536b7f0f51f53cc9cc7c32be09caca 137296 libdevel optional libxrandr-dev_4.3.0.dfsg.1-1_i386.deb
 6ad831973c46309740a480ee896cdf2a 282808 libs optional libxt6_4.3.0.dfsg.1-1_i386.deb
 96c18e1ee2fdb91c40a2d22c35dd0463 1497106 libdevel extra libxt6-dbg_4.3.0.dfsg.1-1_i386.deb
 4614c62412de141b841e42d140e11486 583110 libdevel optional libxt-dev_4.3.0.dfsg.1-1_i386.deb
 5ed150ee7bf89ce779ee626490599eb0 145576 libs optional libxtrap6_4.3.0.dfsg.1-1_i386.deb
 9b4fd9c329b7117029653219eeff21a1 376882 libdevel extra libxtrap6-dbg_4.3.0.dfsg.1-1_i386.deb
 0d30e48c009f8bdc3d8d3e9242e0b9e7 151346 libdevel optional libxtrap-dev_4.3.0.dfsg.1-1_i386.deb
 01012103fcced9a17b7b97674d3414b0 139446 libs optional libxtst6_4.3.0.dfsg.1-1_i386.deb
 bda1ab9cf5d396529acf697f53497545 203066 libdevel extra libxtst6-dbg_4.3.0.dfsg.1-1_i386.deb
 34504c1d5d7ceb9b1d2dbd16874bf7bf 137034 libdevel optional libxtst-dev_4.3.0.dfsg.1-1_i386.deb
 d50d7753b12a48a96586114728b524e4 137572 libs optional libxv1_4.3.0.dfsg.1-1_i386.deb
 5a99f49850ad06269ed6293a928a92fc 169708 libdevel extra libxv1-dbg_4.3.0.dfsg.1-1_i386.deb
 10df432f507bc8c2383ea6df0eda2534 157228 libdevel optional libxv-dev_4.3.0.dfsg.1-1_i386.deb
 623a2c7744045439e9d54d3da35eb9d4 147760 x11 optional proxymngr_4.3.0.dfsg.1-1_i386.deb
 b88702e2bc46208e49bb4fe57129eeea 230266 x11 optional twm_4.3.0.dfsg.1-1_i386.deb
 6d1158155b01abfbb505a4e96e981a18 1909674 x11 optional xbase-clients_4.3.0.dfsg.1-1_i386.deb
 e21e077f62675005393b7e8cdf4df464 264758 x11 optional xdm_4.3.0.dfsg.1-1_i386.deb
 1d71f232ba6f526560933c1940e14970 459840 x11 optional xfs_4.3.0.dfsg.1-1_i386.deb
 0ce8ffad6882ec8c980c730526bf6902 147188 x11 optional xfwp_4.3.0.dfsg.1-1_i386.deb
 a8ec579fb3b2576a2e4ca1570e88d428 4968140 x11 optional xlibmesa-dri_4.3.0.dfsg.1-1_i386.deb
 d3bea195caa943d311d09c9fca707fbc 49438296 x11 optional xlibmesa-dri-dbg_4.3.0.dfsg.1-1_i386.deb
 2036e25ff97bbaa84a931bd0fcdc582a 248440 libs optional xlibmesa-gl_4.3.0.dfsg.1-1_i386.deb
 ded108937b4c48a26b7e257d6d51f61b 1195636 libdevel extra xlibmesa-gl-dbg_4.3.0.dfsg.1-1_i386.deb
 2193a15ecfeb35f604a4e6621a8f9e92 671696 libdevel optional xlibmesa-gl-dev_4.3.0.dfsg.1-1_i386.deb
 adad50a30b174630e857bff222df56a5 330876 libs optional xlibmesa-glu_4.3.0.dfsg.1-1_i386.deb
 962a56f6db1cf2718c46040df27b91b0 1077736 libdevel extra xlibmesa-glu-dbg_4.3.0.dfsg.1-1_i386.deb
 7ed0636d9278e901321e8023709781da 401432 libdevel optional xlibmesa-glu-dev_4.3.0.dfsg.1-1_i386.deb
 5040611b54803f54d86aa44314ab850e 626544 libs optional xlibosmesa4_4.3.0.dfsg.1-1_i386.deb
 0dee7a7a3f8c1d438ad5c4718a02d78e 4547118 libdevel extra xlibosmesa4-dbg_4.3.0.dfsg.1-1_i386.deb
 48e224d6db8a4badbe02a1eb80c5df0c 756306 libdevel optional xlibosmesa-dev_4.3.0.dfsg.1-1_i386.deb
 134ead8e96dc17ec9e02967422631e4a 819838 libdevel optional xlibs-static-dev_4.3.0.dfsg.1-1_i386.deb
 fc5bf92bc927b5764b35e03f89fe529a 351884 libdevel extra xlibs-static-pic_4.3.0.dfsg.1-1_i386.deb
 a9a10c422938b23e4fd6256daef412d0 193878 mail extra xmh_4.3.0.dfsg.1-1_i386.deb
 4aaf3b87dea177d0e434d6cb188644a9 1432514 x11 optional xnest_4.3.0.dfsg.1-1_i386.deb
 f938be55361480bfd3a3b19377d3ee95 1093210 x11 optional xprt_4.3.0.dfsg.1-1_i386.deb
 4be7534961832defec4c011cf4e97938 299370 x11 optional xserver-common_4.3.0.dfsg.1-1_i386.deb
 c4c57347089dbf367309fef17ac84963 5449362 x11 optional xserver-xfree86_4.3.0.dfsg.1-1_i386.deb
 4532f48a3583641869ecdbcb1aa9602f 52318942 x11 extra xserver-xfree86-dbg_4.3.0.dfsg.1-1_i386.deb
 74b979ee5c53e22ea1b7a51bd07de225 598940 x11 optional xterm_4.3.0.dfsg.1-1_i386.deb
 9419187109e240d7a04460a064a0b728 855518 x11 optional xutils_4.3.0.dfsg.1-1_i386.deb
 b33f06cdafb10a25e4240c38684d7311 1567104 x11 optional xvfb_4.3.0.dfsg.1-1_i386.deb
 257f8fa739fdb319ea3517f3c9ccd30b 125304 x11 optional x-window-system-core_4.3.0.dfsg.1-1_i386.deb
 dc6319bbc3f36f0bbe0c972f427098d7 125356 x11 extra x-window-system-dev_4.3.0.dfsg.1-1_i386.deb
 7c9fc40605de193163419c86495974e1 125102 oldlibs optional xlibmesa3_4.3.0.dfsg.1-1_i386.deb
 4485933aee05dd56c460b6d7adc8d7c9 125938 libdevel optional pm-dev_4.3.0.dfsg.1-1_all.deb
 b00a81d346e7ab54639949f1802c7c0a 182880 libdevel optional x-dev_4.3.0.dfsg.1-1_all.deb
 23b2a7a33fe0c6729db218cd86513489 4327950 x11 optional xfonts-100dpi_4.3.0.dfsg.1-1_all.deb
 d41c671f054da1954e52edd2b1722992 8160782 x11 optional xfonts-100dpi-transcoded_4.3.0.dfsg.1-1_all.deb
 a4f5fe1f2da48539a9f8450f43a22288 3805712 x11 optional xfonts-75dpi_4.3.0.dfsg.1-1_all.deb
 d2371142eb4198548f5a9ba428b6ab53 7037472 x11 optional xfonts-75dpi-transcoded_4.3.0.dfsg.1-1_all.deb
 594b7a37d2b209adbf88dd016ca047f1 5471870 x11 optional xfonts-base_4.3.0.dfsg.1-1_all.deb
 c961101482c9172aa53c0218162a6efd 1168712 x11 optional xfonts-base-transcoded_4.3.0.dfsg.1-1_all.deb
 4a7b5db6366f77c4abcccb603f1252da 506068 x11 optional xfonts-cyrillic_4.3.0.dfsg.1-1_all.deb
 305a216feaf2658bd7cf9fc2e037e380 865884 x11 optional xfonts-scalable_4.3.0.dfsg.1-1_all.deb
 916958d717889565367fae2b42be1705 690734 x11 optional xfree86-common_4.3.0.dfsg.1-1_all.deb
 b4bb97e478e36ccf09d3ec293bc3a499 373724 libs optional xlibs_4.3.0.dfsg.1-1_all.deb
 30c687fb53285afdf37d43ac7a696e24 862828 libs optional xlibs-data_4.3.0.dfsg.1-1_all.deb
 d13517cb6c97d984775041fa6602125f 5802502 x11 optional xspecs_4.3.0.dfsg.1-1_all.deb
 8206fe1b8e4ac91b06b58073d25514b7 125230 x11 optional x-window-system_4.3.0.dfsg.1-1_all.deb
 0c174b643b38f9e8cf6c59672daa0bbd 125090 oldlibs extra xlibmesa3-dbg_4.3.0.dfsg.1-1_all.deb
 5e83377096e7ec4d95ba1d67f65acddd 125076 oldlibs optional xlibmesa-dev_4.3.0.dfsg.1-1_all.deb
 6124f688b268c5be63db6220a9b6ed1e 125138 oldlibs extra xlibs-dbg_4.3.0.dfsg.1-1_all.deb
 18fbc95d7724db6e65e58f356f19b660 125136 oldlibs extra xlibs-dev_4.3.0.dfsg.1-1_all.deb
 5b2282f8a67a982a931c6f968b8204d5 125044 oldlibs extra xlibs-pic_4.3.0.dfsg.1-1_all.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAkBZshCzbekR3nhgRAqLeAJ0WpDH+ceNhZZWzLwjvAXzD+Sf6VACfQXeO
ERdJ1mxFkLIyYDnTdRpIeng=
=RBIb
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:48:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.